Bug 64285 - Gnome: Mouse and Kybd delays or locks smp kernel
Gnome: Mouse and Kybd delays or locks smp kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 12:08 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-01 12:08:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
Kernem 2.4.9-31-smp Mouse click on Start results in brief display of start
options, disappears and kybd is locked. Several minutes can go by before the
display reacts. Kybd sometimes returns to active.Normally removing PS/2 kybd
from port and re-inserting re-established kybd control. GUI is effectively
totally dysfunctional. Have to restart in non smp kernel to run in GUI.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Reboot to GRUB, choose smp Enterprise version
2.Login to Gnome seems normal
3.Click on start button.
	

Actual Results:  Unlike non-smp kernel the pop-up menu selection panel partially
shows for a brief second and then the mouse-over event does nothing. Keyboard at
that moment is locked - no reaction to NumLock, etc.
Waiting for several minutes the display seems to eventually react to mouse
inputs made. Trying again restarts the entire process. This was true with the
original smp kernel that came with the distribution. Red Hat tech support
suggested upgrading to the newest kernel. That was done but the results did not
change. In order to regain control pulling and re-inserting the kyb PS/2
connector seems to work. Then it is possible to move backto tty1 and init back
to the non smp kernel.

Note Please see Red Hat Tech Support Ticket 203795 for chronological information.

Expected Results:  Should react the same as the non-smp kernel...but faster(I hope)

Additional info:

System info: Dual Pentium II 333 on Micronics Spitfire EX (SHM04) motherboard
with onboard sound and SCSI (used for HP dat24i tape drive), DAC960-PG2 RAID
controller,5 Fujitsu 18G LVD dirves in RAID 5 config,IDE floppy and IDE CD/RW,
512Meg PC-100 SDRAM, D-link 538_TX NIC, ATI Rage 128 (16Meg).

System was originally configured with 2G partition and Windows 2000 Server to
test DAC960 and M/B. All systems functioned.

Setup of RHL 7.2 required limiting partitions to /root, / and swap to ensure
that installation proceeded without failure during install. GRUB was activated.

Due to the nature of this problem I am not confident to continue installation of
required ERP software for trials, BASIS BBX Pro5 ported for Linux.

I am not able, to the best of my present knowledge, to get any upgrades to the
M/B BIOS if that becomes an issue.
Comment 1 Bugzilla owner 2004-09-30 11:39:33 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.